#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint speech_plugin.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'speech_plugin'
  s.version          = '0.0.1'
  s.summary          = 'A new Flutter plugin.'
  s.description      = <<-DESC
A new Flutter plugin.
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.static_framework = true

  s.platform = :ios, '8.0'

  s.dependency 'Flutter'
  #  s.dependency 'lame', '~>1.0.0'
  # 暂时解决lame（智玲）库冲突 follow ffmpeg library
  s.resource = "Classes/Libraries/libai/aiengine.provision"
  s.frameworks = 'AVFoundation', 'SystemConfiguration', 'Foundation', 'CoreTelephony', 'AudioToolbox', 'UIKit', 'CoreLocation', 'QuartzCore', 'CoreGraphics', 'SystemConfiguration'
  s.libraries = 'z', 'c++'
  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }

  s.default_subspec   = 'https'
  s.subspec 'min' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-min', '4.3.1'
  end

  s.subspec 'min-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-min', '4.3.1.LTS'
  end

  s.subspec 'min-gpl' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-min-gpl', '4.3.1'
  end

  s.subspec 'min-gpl-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-min-gpl', '4.3.1.LTS'
  end

  s.subspec 'https' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-https', '4.3.1'
  end

  s.subspec 'https-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-https', '4.3.1.LTS'
  end

  s.subspec 'https-gpl' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-https-gpl', '4.3.1'
  end

  s.subspec 'https-gpl-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-https-gpl', '4.3.1.LTS'
  end

  s.subspec 'audio' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-audio', '4.3.1'
  end

  s.subspec 'audio-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-audio', '4.3.1.LTS'
  end

  s.subspec 'video' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-video', '4.3.1'
  end

  s.subspec 'video-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-video', '4.3.1.LTS'
  end

  s.subspec 'full' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-full', '4.3.1'
  end

  s.subspec 'full-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-full', '4.3.1.LTS'
  end

  s.subspec 'full-gpl' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-full-gpl', '4.3.1'
  end

  s.subspec 'full-gpl-lts' do |ss|
    ss.source_files        = 'Classes/**/*'
    ss.public_header_files = 'Classes/**/*.h'
    ss.vendored_frameworks = 'Frameworks/iflyMSC.framework' , 'Frameworks/TAISDK.framework'
    ss.vendored_libraries = 'Classes/Libraries/libai/libaiengine.a'

    ss.dependency 'mobile-ffmpeg-full-gpl', '4.3.1.LTS'
  end
end
